FS_MOUNT(3)

NAME
fs_mount, fs_unmount, - simplified file system mounting

LIBRARY
PDEL Library (libpdel, -lpdel)

SYNOPSIS
#include <pdel/sys/fs_mount.h>
int
fs_mount(const char *path, int flags);
int
fs_unmount(const char *path, int flags);

DESCRIPTION
These functions provide a simplified interface to mount(2) and unmount(2).

fs_mount() attempts to mount the filesystem on the directory path. The device to be mounted must be described in /etc/fstab. The flags are passed unchanged to mount(2).

fs_ummount() attempts to unmount the filesystem mounted on the directory path. The flags are passed unchanged to unmount(2).

RETURN VALUES
fs_mount() and fs_unmount() return 0 if successful, otherwise -1 is returned and errno is set accordingly; see mount(2) for the possible values for errno.

SEE ALSO
mount(2), libpdel(3)

HISTORY
The PDEL library was developed at Packet Design, LLC. http://www.packetdesign.com/

AUTHORS
Archie Cobbs <archie@freebsd.org>